Package org.eclipse.graphiti.features.context.impl

## Class ResizeShapeContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.AreaContext
        - - org.eclipse.graphiti.features.context.impl.ResizeContext
          - - org.eclipse.graphiti.features.context.impl.ResizeShapeContext

All Implemented Interfaces:
  `IAreaContext`, `IContext`, `ILocationContext`, `IPictogramElementContext`, `IResizeContext`, `IResizeShapeContext`, `IPropertyBag`

    public class ResizeShapeContext
    extends ResizeContext
    implements IResizeShapeContext

The Class ResizeShapeContext.

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.features.context.IResizeShapeContext

`DIRECTION_EAST, DIRECTION_NORTH, DIRECTION_NORTH_EAST, DIRECTION_NORTH_WEST, DIRECTION_SOUTH, DIRECTION_SOUTH_EAST, DIRECTION_SOUTH_WEST, DIRECTION_UNSPECIFIED, DIRECTION_WEST`

### Constructor Summary

Constructors
`ResizeShapeContext​(Shape shape)` Creates a new `ResizeShapeContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDirection()` Returns the specified direction.
`PictogramElement` `getPictogramElement()` Gets the pictogram element.
`Shape` `getShape()` Gets the shape.
`void` `setDirection​(int direction)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AreaContext

`getHeight, getWidth, setHeight, setSize, setWidth`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### ResizeShapeContext

    public ResizeShapeContext​(Shape shape)

Creates a new `ResizeShapeContext`.

Parameters:
  `shape` - the shape

### Method Detail

#### getShape

    public Shape getShape()

Gets the shape.

Specified by:
  `getShape` in interface `IResizeShapeContext`
Returns:
  Returns the shape.

#### getPictogramElement

    public PictogramElement getPictogramElement()

Description copied from interface: `IPictogramElementContext`
Gets the pictogram element.

Specified by:
  `getPictogramElement` in interface `IPictogramElementContext`
Returns:
  the pictogram element

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AreaContext`

#### getDirection

    public int getDirection()

Description copied from interface: `IResizeShapeContext`
Returns the specified direction. The direction is specified using `IResizeShapeContext#NORTH`, `IResizeShapeContext#NORTH_EAST` , etc.

Specified by:
  `getDirection` in interface `IResizeShapeContext`
Returns:
  the direction
Since:
  0.9

#### setDirection

    public void setDirection​(int direction)

Since:
  0.9